net.fortuna.ical4j.model

## Class Parameter

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Parameter

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Abbrev, AltRep, Cn, CuType, DelegatedFrom, DelegatedTo, Dir, Encoding, FbType, FmtType, Language, Member, PartStat, Range, Related, RelType, Role, Rsvp, ScheduleAgent, ScheduleStatus, SentBy, Type, TzId, Value, Vvenue, XParameter

    public abstract class Parameter
    extends Content

Defines an iCalendar parameter. Subclasses of this class provide additional validation and typed values for specific iCalendar parameters. Note that subclasses must provide a reference to the factory used to create the parameter to support parameter cloning (copy). If no factory is specified an `UnsupportedOperationException` will be thrown by the `copy()` method.

Author:
  Ben Fortuna $Id$ [Apr 5, 2004]
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `ABBREV` Region abbreviation.
`static String` `ALTREP` Alternate text representation.
`static String` `CN` Common name.
`static String` `CUTYPE` Calendar user type.
`static String` `DELEGATED_FROM` Delegator.
`static String` `DELEGATED_TO` Delegatee.
`static String` `DIR` Directory entry.
`static String` `ENCODING` Inline encoding.
`static String` `EXPERIMENTAL_PREFIX` Prefix to all experimental parameters.
`static String` `FBTYPE` Free/busy time type.
`static String` `FMTTYPE` Format type.
`static String` `LANGUAGE` Language for text.
`static String` `MEMBER` Group or list membership.
`static String` `PARTSTAT` Participation status.
`static String` `RANGE` Recurrence identifier range.
`static String` `RELATED` Alarm trigger relationship.
`static String` `RELTYPE` Relationship type.
`static String` `ROLE` Participation role.
`static String` `RSVP` RSVP expectation.
`static String` `SCHEDULE_AGENT` Schedule agent.
`static String` `SCHEDULE_STATUS` Schedule status.
`static String` `SENT_BY` Sent by.
`static String` `TYPE` Type.
`static String` `TZID` Reference to time zone object.
`static String` `VALUE` Property value data type.
`static String` `VVENUE` Reference to vvenue component.

### Constructor Summary

Constructors
Constructor and Description
`Parameter(String aName, ParameterFactory factory)`

### Method Summary

Methods
`Parameter` `copy()` Deep copy of parameter.
`boolean` `equals(Object arg0)`
`String` `getName()`
`int` `hashCode()`
`protected boolean` `isQuotable()` Indicates whether the current parameter value should be quoted.
`String` `toString()`

### Methods inherited from class net.fortuna.ical4j.model.Content

`getValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ABBREV

    public static final String ABBREV

Region abbreviation.

See Also:
  Constant Field Values

#### ALTREP

    public static final String ALTREP

Alternate text representation.

See Also:
  Constant Field Values

#### CN

    public static final String CN

Common name.

See Also:
  Constant Field Values

#### CUTYPE

    public static final String CUTYPE

Calendar user type.

See Also:
  Constant Field Values

#### DELEGATED_FROM

    public static final String DELEGATED_FROM

Delegator.

See Also:
  Constant Field Values

#### DELEGATED_TO

    public static final String DELEGATED_TO

Delegatee.

See Also:
  Constant Field Values

#### DIR

    public static final String DIR

Directory entry.

See Also:
  Constant Field Values

#### ENCODING

    public static final String ENCODING

Inline encoding.

See Also:
  Constant Field Values

#### FMTTYPE

    public static final String FMTTYPE

Format type.

See Also:
  Constant Field Values

#### FBTYPE

    public static final String FBTYPE

Free/busy time type.

See Also:
  Constant Field Values

#### LANGUAGE

    public static final String LANGUAGE

Language for text.

See Also:
  Constant Field Values

#### MEMBER

    public static final String MEMBER

Group or list membership.

See Also:
  Constant Field Values

#### PARTSTAT

    public static final String PARTSTAT

Participation status.

See Also:
  Constant Field Values

#### RANGE

    public static final String RANGE

Recurrence identifier range.

See Also:
  Constant Field Values

#### RELATED

    public static final String RELATED

Alarm trigger relationship.

See Also:
  Constant Field Values

#### RELTYPE

    public static final String RELTYPE

Relationship type.

See Also:
  Constant Field Values

#### ROLE

    public static final String ROLE

Participation role.

See Also:
  Constant Field Values

#### RSVP

    public static final String RSVP

RSVP expectation.

See Also:
  Constant Field Values

#### SCHEDULE_AGENT

    public static final String SCHEDULE_AGENT

Schedule agent.

See Also:
  Constant Field Values

#### SCHEDULE_STATUS

    public static final String SCHEDULE_STATUS

Schedule status.

See Also:
  Constant Field Values

#### SENT_BY

    public static final String SENT_BY

Sent by.

See Also:
  Constant Field Values

#### TYPE

    public static final String TYPE

Type.

See Also:
  Constant Field Values

#### TZID

    public static final String TZID

Reference to time zone object.

See Also:
  Constant Field Values

#### VALUE

    public static final String VALUE

Property value data type.

See Also:
  Constant Field Values

#### VVENUE

    public static final String VVENUE

Reference to vvenue component.

See Also:
  Constant Field Values

#### EXPERIMENTAL_PREFIX

    public static final String EXPERIMENTAL_PREFIX

Prefix to all experimental parameters.

See Also:
  Constant Field Values

### Constructor Detail

#### Parameter

    public Parameter(String aName,
             ParameterFactory factory)

Parameters:
  `aName` - the parameter identifier
  `factory` - the factory used to create the parameter

### Method Detail

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`

#### isQuotable

    protected boolean isQuotable()

Indicates whether the current parameter value should be quoted.

Returns:
  true if the value should be quoted, otherwise false

#### getName

    public final String getName()

Specified by:
  `getName` in class `Content`
Returns:
  Returns the name.

#### equals

    public final boolean equals(Object arg0)

Overrides:
  `equals` in class `Object`

#### hashCode

    public final int hashCode()

Overrides:
  `hashCode` in class `Object`

#### copy

    public Parameter copy()
                   throws URISyntaxException

Deep copy of parameter.

Returns:
  new parameter
Throws:
  `URISyntaxException` - where an invalid URI is encountered